Arduino

Reference Language | Libraries | Comparison | Changes

String

## equalsIgnoreCase()

#### Description

Compares two strings for equality. The comparison is not case-sensitive, meaning the String("hello") is equal to the String("HELLO").

#### Syntax

string.equalsIgnoreCase(string2)

#### Parameters

string, string2: variables of type String

#### Returns

true: if string equals string2 (ignoring case)
false: otherwise

#### Example

- StringComparisonOperators

#### See also

- equals()
- compareTo()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes